org.apache.catalina.valves.rewrite

## Class Substitution.ServerVariableHttpElement

- java.lang.Object
- - org.apache.catalina.valves.rewrite.Substitution.SubstitutionElement
  - - org.apache.catalina.valves.rewrite.Substitution.ServerVariableHttpElement

- Enclosing class:
    Substitution

      public static class Substitution.ServerVariableHttpElement
      extends Substitution.SubstitutionElement

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `key`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Substitution.ServerVariableHttpElement()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `evaluate(Matcher rule, Matcher cond, Resolver resolver)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### key

          public String key

  - ### Constructor Detail

    - #### Substitution.ServerVariableHttpElement

          public Substitution.ServerVariableHttpElement()

  - ### Method Detail

    - #### evaluate

          public String evaluate(Matcher rule,
                        Matcher cond,
                        Resolver resolver)

      Specified by:
        `evaluate` in class `Substitution.SubstitutionElement`

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.